Token payroll
Get All Token Payrolls
Lists the org's token payrolls, optionally filtered by payroll entity, via the stablecoin payroll service.
GEThttps://api.toku.com/stablecoin-payroll/get-all-token-payrolls
Required scope: payroll:read. It also needs compensation:read.
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/get-all-token-payrolls' \
--header 'Authorization: Bearer <token>'200 response
{
"payrolls": [
{
"id": "string",
"name": "string",
"subName": "string",
"entity": "string",
"payPeriodStart": "string",
"payPeriodEnd": "string",
"payDate": "string",
"currentStep": "string",
"state": "string",
"type": "string",
"isStablecoinOnlySettlement": true,
"externalPayrollID": "string",
"fiatCurrency": "string",
"tokenTypeID": "string",
"exchangeRate": 0,
"isStablecoinPayrollComplete": true,
"isFiatPayrollComplete": true,
"isSyncedFromHRIS": true,
"selectedEmployeeIds": [
"string"
],
"isCsvUploaded": true,
"createdAt": "string",
"updatedAt": "string",
"isPlaceholder": true,
"createdByID": "string",
"lastModifiedByID": "string",
"orgID": "string",
"payrollSyncedSource": "string",
"payrollGroup": "string",
"integrationEntityName": "string",
"payrollIntegrationEntityId": "string",
"fireblocksConfig": {
"vaultAccountId": "string",
"source": "string"
},
"contributorsInTokenPayroll": [
{
"roleInOrgID": "string",
"roleInOrg": {
"externalEmployeeID": "string",
"person": {
"givenName": "string",
"familyName": "string",
"users": [
{}
]
}
},
"totalPayrollAmount": "string",
"netPayrollAmount": "string",
"totalDeductionAmount": "string"
}
],
"payrollEntity": {
"name": "string",
"country": "string"
}
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
payrollEntityIdstringAllowed: 1 to 200 characters
Response
200Successful response
payrollsarray | nullShow child attributes
idstring | nullnamestring | nullsubNamestring | nullentitystring | nullpayPeriodStartstring | nullpayPeriodEndstring | nullpayDatestring | nullcurrentStepstring | nullstatestring | nulltypestring | nullisStablecoinOnlySettlementboolean | nullexternalPayrollIDstring | nullfiatCurrencystring | nulltokenTypeIDstring | nullexchangeRatenumber | nullisStablecoinPayrollCompleteboolean | nullisFiatPayrollCompleteboolean | nullisSyncedFromHRISboolean | nullselectedEmployeeIdsarray | nullimportedDataanyrequiredprocessedDataanyrequiredsettlementDataanyrequiredisCsvUploadedboolean | nullcreatedAtstring | nullupdatedAtstring | nullisPlaceholderboolean | nullcreatedByIDstring | nulllastModifiedByIDstring | nullorgIDstring | nullpayrollSyncedSourcestring | nullpayrollGroupstring | nullintegrationEntityNamestring | nullpayrollIntegrationEntityIdstring | nullfireblocksConfigobject | nullShow child attributes
vaultAccountIdstring | nullsourcestring | nullcontributorsInTokenPayrollarray | nullShow child attributes
roleInOrgIDstring | nullroleInOrgobject | nullShow child attributes
externalEmployeeIDstring | nullpersonobject | nullShow child attributes
givenNamestring | nullfamilyNamestring | nullusersarray | nullShow child attributes
loginEmailstring | nulltotalPayrollAmountstring | nullnetPayrollAmountstring | nulltotalDeductionAmountstring | nullpayrollEntityobject | nullShow child attributes
namestring | nullcountrystring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits